.hide-up {
    max-height: 0;
    border: none;
    background-color: transparent;
    transition: max-height 0.5s ease-out;
}

.swaying {
    animation: sway ease-in-out 5s infinite alternate;
}

.spin-right {
    transform: rotateY(360deg);
}

.hidden-move-right {
    overflow: hidden;
    transform: translateX(-100%);
    transition: all 1s ease-in-out;
}

/* Main body section */
.main-content {
    display: flex;
    overflow: hidden;
    max-height: fit-content;
    margin: 0 10vw 12vh 10vw;
    flex-direction: column;
    align-items: center;
    flex: 1;
}

.introductory {
    max-height: 999vh;
    display: flex;
    overflow: hidden;
    flex-direction: column;
    align-items: center;
    gap: 18px;
    transition: transform 1s ease-in-out, max-height 1s ease-in-out;

    &.hide-up {
        max-height: 0;
    }

    .self-portrait {
        width: 288px;
        height: 288px;
        border-radius: 290px;
    }

    h4 {
        text-align: center;
    }

}

.about-toggle-button {
    max-height: 50vh;
    overflow: hidden;
    padding: 0.25em 0.45em;
    font-size: 0.8em;
    border: 1px solid var(--accent-color);
    border-radius: 20px;

    transition: all 0.8s ease-in-out;

    &.hide-up {
        max-height: 0;
        border: none;
    }
}

article.self-about {
    max-height: 100vh;
    flex-direction: column;
    transition: transform 1s ease-in-out, max-height 1s ease-in-out;;
    /* background-image: url(../assets/images/prot.jpg); */

    &.hide-up {
        max-height: 0;
    }

    * {
        transition: transform 1s ease-in-out;
    }

    p {
        margin: 16px 0;
    }

    .carousel-window {
        display: inline-flex;
        overflow: hidden;
        vertical-align: bottom;
        height: 1.2em;
    }

    .carousel-text {
        display: inline-block;
        color: var(--accent-color);
        transition: transform 0.5s ease-in-out, opacity 0.5s;
    }

    .slide-down {
        animation: slideFromTop 0.5s forwards;
    }
}


/* Media (responsive) */
@media screen and (max-width: 430px) {
    :root {
        img.self-portrait {
            width: 160px;
            height: 160px;
        }
    }
}

@keyframes slideFromTop {
  0% {
    transform: translateY(-100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}